package app15a.dao;

import java.sql.Connection;
import java.sql.SQLException;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;


public class DAOBase implements DAO {
    
  public Connection getConnection() throws DAOException {
      
    Connection connection = null;
    Context context = null;   
    DataSource dataSource = null;
    
    try {
      context = new InitialContext();
      dataSource = (DataSource) context.lookup("java:/comp/env/jdbc/myDataSource");
    }
    catch (NamingException e) {
      throw new DAOException();
    }
    if (dataSource!= null) {
      try {
        connection = dataSource.getConnection();
      }
      catch (SQLException e) {
          System.out.println("DAOBase");
          throw new DAOException();
      }
    }
    return connection;
  }
}


